package com.jxml.quick.config;
import com.jxml.quick.*;
import com.jxml.protocol.*;
import org.xml.sax.*;
import java.io.*;
import java.util.*;

public class Eval implements Item
{
	public String evalClass;
       
	public void eval(Map properties, List args, ClassLoader cl)
		throws Exception
	{
		if(args.size()>1) throw new Exception("The list items should be empty"); 
		Class c=null;
		if (cl==null)
			c=Class.forName(evalClass);
		else
			c=cl.loadClass(evalClass);
		Object o=c.newInstance();
		Item i=(Item)o;
		i.eval(properties,args,cl);
	}
}